package com.wd.workoffice.ui.adapter;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.mesBean.OrderBadBean;
import com.wd.workoffice.util.MathUtils;

import java.util.List;

/**
 * Created by flexible on 2018/8/13.
 */

public class ReportBadAdapter extends BaseQuickAdapter<OrderBadBean.ScrapStatisticsListsBean.ScrapStatisticsBean, BaseViewHolder> {

    public ReportBadAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }

    @Override
    protected void convert(BaseViewHolder helper, OrderBadBean.ScrapStatisticsListsBean.ScrapStatisticsBean item) {
            helper.setText(R.id.tv_order_no,item.getOrderNumber());
        helper.setText(R.id.tv_pro_code,item.getProductCode());
        helper.setText(R.id.tv_bad, MathUtils.converData(item.getBadRate(),3));
    }
}

